//***********************************************************************
//
//  File:   testpgm.h
//
//  Include file for the tester program
//
//***********************************************************************


#include "testrc.h"

//
//	Modify these defines for your environment
//

#define	NNTP_SERVER				"insert NNTP server here"
#define	SMTP_SERVER				"insert SMTP server here"
#define	POP_SERVER				"insert POP server here"
#define	TESTTO					"insert POP account here"  
#define	MY_ID					"insert POP account ID here"
#define MY_PSWD					"insert POP account password here"  
        
#define	BFRLEN		4096
#define	LINESMAX	500   
#define	IDLE		0


typedef struct tagTESTBLOCK
{                          
	WORD			state;  
	LRESULT			(*func)();
	LPTMEVENT		lpEvent; 
	GLOBALHANDLE	hBfr;    
	LPSTR			lpBfr; 

} TESTBLOCK, NEAR * NPTESTBLOCK, FAR * LPTESTBLOCK;


typedef LRESULT (FNTESTER)(LPTESTBLOCK, UINT); 
typedef FNTESTER *PFNTESTER;       


LONG CALLBACK WndProc (HWND, WORD, WORD, LONG); 

LRESULT newsTest1 (LPTESTBLOCK, UINT);
LRESULT newsTest2 (LPTESTBLOCK, UINT);
LRESULT newsTest3 (LPTESTBLOCK, UINT);  
LRESULT newsTest4 (LPTESTBLOCK, UINT);  
LRESULT newsTest5 (LPTESTBLOCK, UINT);  
LRESULT smtpTest1 (LPTESTBLOCK, UINT);
LRESULT smtpTest2 (LPTESTBLOCK, UINT);
LRESULT smtpTest3 (LPTESTBLOCK, UINT);  
LRESULT popTest1 (LPTESTBLOCK, UINT);
LRESULT popTest2 (LPTESTBLOCK, UINT);
LRESULT popTest3 (LPTESTBLOCK, UINT);  


LPTESTBLOCK	initTest(PFNTESTER);  
void	termTest(LPTESTBLOCK);
void	OutputDebug(LPSTR);
void	ResetDebug();


// global variables

HANDLE 		ghInstance;       
HWND		hMainWindow; 
HWND	        hDebugWindow;
HFONT   	hfontClient;
char		outBuf[2048];




