typedef unsigned short int WORD;
typedef unsigned long int DWORD;  
typedef	unsigned long int	ULONG;
typedef	void far	*TMTOKEN; 
typedef	unsigned short int	TMRESULT;  

#define  TMFUNC    far pascal

typedef struct tagTMEVENT
{                          
	TMTOKEN		tmToken;     
	WORD		Online;
	TMRESULT	error;
	WORD		flags;
	char		szGroup[512];
	ULONG		dStart;
	ULONG		dEnd;   
	ULONG		dCurrentNum;
} TMEVENT, NEAR * NPTMEVENT, FAR *LPTMEVENT;


/****** API entry points ******/
                                            
TMRESULT	TMFUNC	tmRead (TMTOKEN, LPTMEVENT, LPSTR, UINT); 
TMRESULT	TMFUNC	tmError (TMTOKEN, LPTMEVENT);
TMRESULT	TMFUNC  tmSetIncludeMask(TMTOKEN, WORD, LPSTR);
TMRESULT	TMFUNC  tmSetExcludeMask(TMTOKEN, WORD, LPSTR); 
TMRESULT	TMFUNC	tmTerm(TMTOKEN);
 
TMRESULT	TMFUNC 	nrInit (HWND, TMTOKEN);
TMRESULT	TMFUNC	nrTerm (TMTOKEN);
TMRESULT	TMFUNC 	nrConnect (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	nrDisConnect (TMTOKEN);
TMRESULT	TMFUNC 	nrGetGroups (TMTOKEN);
TMRESULT	TMFUNC 	nrGetGroupInfo (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	nrGetHeaders (TMTOKEN, LPSTR, ULONG, ULONG);
TMRESULT	TMFUNC 	nrGetArticles (TMTOKEN, LPSTR, ULONG, ULONG); 
TMRESULT	TMFUNC 	nrPostArticle (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	nrSubject (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	nrText (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	nrSend (TMTOKEN);
TMRESULT	TMFUNC 	nrAttach (TMTOKEN, ULONG, LPSTR);
TMRESULT	TMFUNC 	nrDist (TMTOKEN, LPSTR);     
TMRESULT	TMFUNC	nrGetHeaderFields (TMTOKEN, LPSTR, LPSTR, ULONG, ULONG);
TMRESULT	TMFUNC	nrHeaderField (TMTOKEN, LPSTR, LPSTR);

TMRESULT	TMFUNC 	omInit (HWND, TMTOKEN);
TMRESULT	TMFUNC 	omTerm (TMTOKEN);
TMRESULT	TMFUNC 	omConnect (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	omDisConnect (TMTOKEN);
TMRESULT	TMFUNC 	omSendMail (TMTOKEN);
TMRESULT	TMFUNC 	omTo (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	omCc (TMTOKEN, LPSTR);       
TMRESULT	TMFUNC	OmBcc (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	omSubject (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	omText (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	omAttach (TMTOKEN, ULONG, LPSTR);   
TMRESULT	TMFUNC	omRemoteCmd (TMTOKEN, LPSTR, LPSTR, LPSTR);
TMRESULT	TMFUNC 	omSend (TMTOKEN);
TMRESULT	TMFUNC	omHeaderField (TMTOKEN, LPSTR, LPSTR);

TMRESULT	TMFUNC 	imInit (HWND,TMTOKEN);
TMRESULT	TMFUNC 	imTerm (TMTOKEN);
TMRESULT	TMFUNC 	imConnect (TMTOKEN, LPSTR);
TMRESULT	TMFUNC 	imDisConnect (TMTOKEN);
TMRESULT	TMFUNC 	imLogon (TMTOKEN, LPSTR, LPSTR);
TMRESULT	TMFUNC 	imStatus (TMTOKEN);
TMRESULT	TMFUNC 	imGetMail (TMTOKEN, ULONG, ULONG);
TMRESULT	TMFUNC 	imGetHeaders (TMTOKEN, ULONG, ULONG);
TMRESULT	TMFUNC 	imDeleteMail (TMTOKEN, ULONG, ULONG);
TMRESULT	TMFUNC 	imReset (TMTOKEN);

#define	TM_EVENT		WM_USER + 0x100                                                                                                

/****** TCPMDLW Flags ******/

#define		TMFLG_MORE		0x0001
#define		TMFLG_COMPLETE		0x0002
#define		TMFLG_MOREDATA		0x0004

/****** TCPMDLW Mask Flags ******/
                                                                                                
#define		TMMASK_ALL			0xffff          

/****** TCPMDLW Encodeing Flags ******/
                                                                                                
#define		TMENC_UU			0x0001
#define		TMENC_MIME			0x0002          


/****** TCPMDLW Error codes ******/


/***** General Error codes ******/

#define     TMERR_NO_ERROR                    0       /* must be 0 */

#define     TMERR_FIRST                       	0x1000

#define     TMERR_INITIALIZED					TMERR_FIRST + 0
#define		TMERR_CMDUNKONWN					TMERR_FIRST + 1
#define		TMERR_NOFEWPARMS					TMERR_FIRST + 2                                  	
#define		TMERR_TOOMANYPARMS                  TMERR_FIRST + 3
#define		TMERR_BADMASK                       TMERR_FIRST + 4
#define		TMERR_CONNECTED			    		TMERR_FIRST + 5
#define		TMERR_NOTCONNECTED		    		TMERR_FIRST + 6
#define		TMERR_UNKNOWNTOKEN		    		TMERR_FIRST	+ 7	 
#define		TMERR_NOHOSTNAME					TMERR_FIRST + 8

/***** NNTP (NewsReader) Error codes ******/

#define     NRERR_FIRST                       	0x2000  
#define		NRERR_STARTAFTEREND					NRERR_FIRST + 1
#define		NRERR_ENDBEFORESTART				NRERR_FIRST + 2
#define		NRERR_NOTPOSTING					NRERR_FIRST + 3
#define		NRERR_FILENOTFOUND					NRERR_FIRST + 4
#define		NRERR_BADATTACHTYPE					NRERR_FIRST + 5
#define		NRERR_INVALIDFIELDNAME					NRERR_FIRST + 6

/* NNTP Server errors			*/

#define		NRERR_NOACCESS						NRERR_FIRST + 502 
#define		NRERR_SERVERERROR					NRERR_FIRST + 503 
#define		NRERR_BADNUMBER						NRERR_FIRST + 423 
#define		NRERR_ARTICLENOTFOUND				NRERR_FIRST + 430 
#define		NRERR_GROUPNOTFOUND					NRERR_FIRST + 411 
#define		NRERR_POSTINGNOTALLOWED				NRERR_FIRST + 440 
#define		NRERR_POSTINGFAILED					NRERR_FIRST + 441 



/***** SMTP (Outbound Mail) Error codes ******/

#define     OMERR_FIRST                       	0x3000
#define	    OMERR_NOTMAILING					OMERR_FIRST + 1  
#define		OMERR_BADNAMES						OMERR_FIRST + 2
#define		OMERR_FILENOTFOUND					OMERR_FIRST + 3
#define		OMERR_BADATTACHTYPE					OMERR_FIRST + 4
#define		OMERR_RESETFAILURE					OMERR_FIRST + 5  
#define		OMERR_NORCPT						OMERR_FIRST + 6
#define		OMERR_INVALIDFIELDNAME					OMERR_FIRST + 7

/* SMTP Server errors			*/

#define		OMERR_SERVICENOTAVAIL				OMERR_FIRST + 421 
#define		OMERR_MAILBOXUNAVAIL				OMERR_FIRST + 450 
#define		OMERR_SERVERFAULT					OMERR_FIRST + 451 
#define		OMERR_SERVERNODSIKSPACE				OMERR_FIRST + 452 
#define		OMERR_TOOMANYRECIPS					OMERR_FIRST + 552 
#define		OMERR_TOOMUCHDATA					OMERR_FIRST + 552 
#define		OMERR_UNKNOWNMAILBOX				OMERR_FIRST + 553 
#define		OMERR_TRANSACTIONFAILED				OMERR_FIRST + 554 

/***** POP (Inbound Mail) Error codes ******/

#define     IMERR_FIRST                       	0x4000    
#define     IMERR_CONNECTIONREFUSED				IMERR_FIRST + 1
#define		IMERR_BADUSERID						IMERR_FIRST + 2
#define		IMERR_BADPSWD						IMERR_FIRST + 3
#define		IMERR_STATUSUNAVAIL					IMERR_FIRST + 4
#define		IMERR_RESETFAILURE					IMERR_FIRST + 5
#define		IMERR_NOTLOGGEDIN					IMERR_FIRST + 6	

/***** WinSock Error codes ******/

#define     WSERR_FIRST                       	0xA000




 
